Loading...
Searching...
No Matches
pcl::TernaryTreeMissingDataBranchEstimator Class Reference

Branch estimator for ternary trees where one branch is used for missing data (indicated by flag != 0). More...

`#include <pcl/ml/branch_estimator.h>`

Inheritance diagram for pcl::TernaryTreeMissingDataBranchEstimator:

## Public Member Functions

| TernaryTreeMissingDataBranchEstimator ()=default
| Constructor.
| ~TernaryTreeMissingDataBranchEstimator () override=default
| Destructor.
std::size_t | getNumOfBranches () const override
| Returns the number of branches the corresponding tree has.
void | computeBranchIndex (const float result, const unsigned char flag, const float threshold, unsigned char &branch_index) const override
| Computes the branch index for the specified result.
Public Member Functions inherited from pcl::BranchEstimator
virtual | ~BranchEstimator ()=default
| Destructor.

## Detailed Description

Branch estimator for ternary trees where one branch is used for missing data (indicated by flag != 0).

Definition at line 106 of file branch_estimator.h.

## Constructor & Destructor Documentation

## TernaryTreeMissingDataBranchEstimator()

pcl::TernaryTreeMissingDataBranchEstimator::TernaryTreeMissingDataBranchEstimator | ( |  | ) |

inline default

Constructor.

## ~TernaryTreeMissingDataBranchEstimator()

pcl::TernaryTreeMissingDataBranchEstimator::~TernaryTreeMissingDataBranchEstimator | ( |  | ) |

inline override default

Destructor.

## Member Function Documentation

## computeBranchIndex()

void pcl::TernaryTreeMissingDataBranchEstimator::computeBranchIndex | ( | const float | result,
|  | const unsigned char | flag,
|  | const float | threshold,
|  | unsigned char & | branch_index
| ) |  | const

inline override virtual

Computes the branch index for the specified result.

Parameters

  [in] | result | the result the branch index will be computed for
  [in] | flag | the flag corresponding to the specified result
  [in] | threshold | the threshold used to compute the branch index
  [out] | branch_index | the destination for the computed branch index

Implements pcl::BranchEstimator.

Definition at line 128 of file branch_estimator.h.

## getNumOfBranches()

std::size_t pcl::TernaryTreeMissingDataBranchEstimator::getNumOfBranches | ( |  | ) | const

inline override virtual

Returns the number of branches the corresponding tree has.

Implements pcl::BranchEstimator.

Definition at line 115 of file branch_estimator.h.

The documentation for this class was generated from the following file:

- pcl/ml/branch_estimator.h